FLAC: FLAC::Metadata::Picture Class Reference

FLAC 1.3.3

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FLAC::Metadata::Picture Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Picture:

## Public Member Functions
| Picture (::FLAC__StreamMetadata *object, bool copy)
Picture & | assign (::FLAC__StreamMetadata *object, bool copy)
::FLAC__StreamMetadata_Picture_Type | get_type () const
const char * | get_mime_type () const
const FLAC__byte * | get_description () const
FLAC__uint32 | get_width () const
FLAC__uint32 | get_height () const
FLAC__uint32 | get_depth () const
FLAC__uint32 | get_colors () const
FLAC__uint32 | get_data_length () const
const FLAC__byte * | get_data () const
void | set_type (::FLAC__StreamMetadata_Picture_Type type)
bool | set_mime_type (const char *string)
bool | set_description (const FLAC__byte *string)
void | set_width (FLAC__uint32 value) const
void | set_height (FLAC__uint32 value) const
void | set_depth (FLAC__uint32 value) const
void | set_colors (FLAC__uint32 value) const
bool | set_data (const FLAC__byte *data, FLAC__uint32 data_length)
bool | is_legal (const char **violation)
bool | is_valid () const
bool | get_is_last () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const
| Picture (const Picture &object)
| Picture (const ::FLAC__StreamMetadata &object)
| Picture (const ::FLAC__StreamMetadata *object)
Picture & | operator= (const Picture &object)
Picture & | operator= (const ::FLAC__StreamMetadata &object)
Picture & | operator= (const ::FLAC__StreamMetadata *object)
bool | operator== (const Picture &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const Picture &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const

## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Detailed Description

PICTURE metadata block. See the overview for more, and the format specification.

## Constructor & Destructor Documentation

## ◆ Picture() [1/4]

FLAC::Metadata::Picture::Picture | ( | const Picture & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ Picture() [2/4]

FLAC::Metadata::Picture::Picture | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ Picture() [3/4]

FLAC::Metadata::Picture::Picture | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Constructs a copy of the given object. This form always performs a deep copy.

## ◆ Picture() [4/4]

FLAC::Metadata::Picture::Picture | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

## ◆ operator=() [1/3]

Picture& FLAC::Metadata::Picture::operator= | ( | const Picture & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ operator=() [2/3]

Picture& FLAC::Metadata::Picture::operator= | ( | const ::FLAC__StreamMetadata & | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ operator=() [3/3]

Picture& FLAC::Metadata::Picture::operator= | ( | const ::FLAC__StreamMetadata * | object | ) |
| inline

Assign from another object. Always performs a deep copy.

References FLAC::Metadata::Prototype::operator=().

## ◆ assign()

Picture& FLAC::Metadata::Picture::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| inline

Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

References FLAC::Metadata::Prototype::assign_object().

## ◆ operator==() [1/3]

bool FLAC::Metadata::Picture::operator== | ( | const Picture & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator==() [2/3]

bool FLAC::Metadata::Picture::operator== | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator==() [3/3]

bool FLAC::Metadata::Picture::operator== | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for equality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator==().

## ◆ operator!=() [1/3]

bool FLAC::Metadata::Picture::operator!= | ( | const Picture & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ operator!=() [2/3]

bool FLAC::Metadata::Picture::operator!= | ( | const ::FLAC__StreamMetadata & | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ operator!=() [3/3]

bool FLAC::Metadata::Picture::operator!= | ( | const ::FLAC__StreamMetadata * | object | ) | const
| inline

Check for inequality, performing a deep compare by following pointers.

References FLAC::Metadata::Prototype::operator!=().

## ◆ get_colors()

FLAC__uint32 FLAC::Metadata::Picture::get_colors | ( |  | ) | const

a return value of `0` means true-color, i.e. 2^depth colors

## ◆ set_mime_type()

bool FLAC::Metadata::Picture::set_mime_type | ( | const char * | string | ) |

See FLAC__metadata_object_picture_set_mime_type()

## ◆ set_description()

bool FLAC::Metadata::Picture::set_description | ( | const FLAC__byte * | string | ) |

See FLAC__metadata_object_picture_set_description()

## ◆ set_colors()

void FLAC::Metadata::Picture::set_colors | ( | FLAC__uint32 | value | ) | const

a value of `0` means true-color, i.e. 2^depth colors

## ◆ set_data()

bool FLAC::Metadata::Picture::set_data | ( | const FLAC__byte * | data,
|  | FLAC__uint32 | data_length
| ) |  |

See FLAC__metadata_object_picture_set_data()

## ◆ is_legal()

bool FLAC::Metadata::Picture::is_legal | ( | const char ** | violation | ) |

See FLAC__metadata_object_picture_is_legal()

## ◆ assign_object()

Prototype& FLAC::Metadata::Prototype::assign_object | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| protectedinherited

Assigns an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

Referenced by FLAC::Metadata::StreamInfo::assign(), FLAC::Metadata::Padding::assign(), FLAC::Metadata::Application::assign(), FLAC::Metadata::SeekTable::assign(), FLAC::Metadata::VorbisComment::assign(), FLAC::Metadata::CueSheet::assign(), assign(), and FLAC::Metadata::Unknown::assign().

## ◆ clear()

virtual void FLAC::Metadata::Prototype::clear | ( |  | ) |
| protectedvirtualinherited

Deletes the underlying FLAC__StreamMetadata object.

## ◆ get_is_last()

bool FLAC::Metadata::Prototype::get_is_last | ( |  | ) | const
| inherited

Returns `true` if this block is the last block in a stream, else `false`.

Assertions:
  is_valid()

## ◆ get_length()

uint32_t FLAC::Metadata::Prototype::get_length | ( |  | ) | const
| inherited

Returns the stream length of the metadata block.

Note
  The length does not include the metadata block header, per spec.

Assertions:
  is_valid()

## ◆ set_is_last()

void FLAC::Metadata::Prototype::set_is_last | ( | bool |  | ) |
| inherited

Sets the "is_last" flag for the block. When using the iterators it is not necessary to set this flag; they will do it for you.

Assertions:
  is_valid()

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |